import { Button } from "antd";
import { ButtonHTMLType } from "antd/lib/button/button";
import React,{ CSSProperties } from "react";

interface IButtonProps {
  children: string;
  className?: string;
  onClick?: () => void;
  loading?: boolean;
  disabled?: boolean;
  style?: CSSProperties;
  type?: ButtonHTMLType;
}

export default function NormalButton({
  children,
  className = "",
  onClick,
  loading,
  disabled,
  style,
  type,
}: IButtonProps) {
  return (
    <Button
      size="large"
      className={`${className} ivry-add-button w-full h-10 md:text-sm text-xs p-2 text-white bg-[#2C3489] rounded-md border-0 active:bg-[#2C3489] focus:bg-[#2C3489] hover:bg-[#2C3489]`}
      onClick={onClick}
      loading={loading}
      disabled={disabled}
      htmlType={type}
    >
      {children}
    </Button>
  );
}
