import SuccessIcon from "../Icon/SuccessIcon";
import ModalShell from "./ModalShell";
import React from "react"

interface ISuccessModalProps {
  show: boolean;
  onCancel: () => void;
  message?: string;
  text?: string;
}
const SuccessModal = ({
  show,
  onCancel,
  message = "",
  text,
}: ISuccessModalProps) => {
  return (
    <ModalShell show={show} cancel={onCancel} className="filter-modal">
      <div className="flex flex-col items-center justify-center text-[#2C3489]">
        <div className="mt-3">
          <SuccessIcon />
        </div>
        <h1 className="flex justify-center text-center text-xl font-bold text-[#2C3489]">
          Your payment has been successfully confirmed.
        </h1>
        {/* {text && <p className="font-semibold text-lg mb-3">{text}</p>}

        <p className="w-11/12 text-center">{message} </p> */}
      </div>
    </ModalShell>
  );
};
export default SuccessModal;
